27 abril 2009

Como Habilitar, Usar, Instalar Cámara Web en Ubuntu 9.04

Si tienes una Webcam y solo la usas como adorno sigue estos pasos para instalarla y poder usarla en Ubuntu.

Hacer que funcione es mas fácil de lo que imaginas solo sigue este pequeño tutorial y estarás usando tu cámara mas rápido de lo que imaginas




Tutorial para hacer que Ubuntu 9.04 detecte tu Webcam

Paso 1.- Descargar - wxCam 1.0.4
Paso 2.- Darle doble click, el archivo esta en .deb así que se instala casi solo
Paso 3.- Haz click en el boton de instalar paquete

Listo eso es todo, ahora corre el programa, lo podrás encontrar en Aplicaciones/Sonido y Vídeo/ Webcam aplication :)

wxCam es una aplicación de cámaras web para linux con soporte para grabación de video en formato avi y Xvid, toma fotografias, y algunas sorpresas especiales como grabar video cuando detecta movimiento

Entre las características de esta aplicación destacan:
  • Posibilidad de ajustes de resolución, brillo, contraste, gamma y saturación.
  • Soporte para algunos controles especiales para webcams Philips,
  • Captura en varios formatos (BMP, PNG, JPEG, TIF, PCX, XPM.)
  • Efectos gráficos (color corrección, negativo, monocromo, espejo,etc)
  • Grabación de video sin audio en formato avi descomprimido.
  • Grabación de video con audio en Xvid
  • Grabar video cuando detecta movimiento.

También existe otra muy útil aplicación en los repositorios llamada Cheese es muy divertida y fácil instalar solo tienes que abrir una terminal y teclear:
sudo apt-get install cheese

Y listo!!!

Cuéntame como te fue con tu Webcam Saludos!!

18 comentarios:

Anónimo dijo...

Pues he probado y no me funciona, al intenta ejecutar el programa me sale el siguiente mensaje:
A webcam application for linux
wxCam is a webcam application for linux. It supports video recording (in an avi uncompressed and Xvid format), snapshot taking, and some special commands for philips webcams, so you can also use the program for astronomy purposes. It supports both video4linux 1 and 2 drivers, so it should work on a very large number of devices.
Error: La dependencia no se puede satisfacer: libmjpegtools0c2a (>= 1:1.8.0)

kaeltas dijo...

Hola

El error te esta diciendo que te falta "libmjpegtools0c2a" para que puedas instalar la aplicación.

Puedes buscarla e instalarla, te recomiendo Synaptic.

Para ser sincero se me hace muy extraño que tengas problemas, yo instale Jaunty desde 0 y no tuve problemas de dependencias con esta aplicación.

Te invito a que seas un poco mas claro para poderte ayudar mejor.

Pd.- si no te quieres complicar con las dependencias instala cheese

Saludos!!!

Sir Monkey dijo...

Tratando de configurar mi webcam instale este proograma y tampoco me funciono. Los pocos programas que me reconocen la webcam me la muestran demasiado oscura, y no puedo configurar el brillo, contraste, etc. Por ejemplo en wxCam me aparecen todas las opciones al 100% y no me lo cambia, y con los demás programas me pasa lo mismo.
Ojalá me puedas ayudar.
Saludos!

kaeltas dijo...

Hola Sir Monkey!!!

Me gustaría saber si te funciono? o no?? y con cual aplicación?

También que webcam tienes tal vez puedas encontrar una solución mas especifica con tu modelo y marca

saludos!!!

Sir Monkey dijo...

Hola kaeltas, y muchas gracias por la respuesta.
El programa wxCam si me detecta la webcam, al igual que Cheese (camorama no me la detecta).
Como te dije el problema es que se me ve muy oscuro y no puedo configurar los colores; se me reestablecen a como estaban (todos al 100% en el caso de wxCam).
La Webcam que utilizo es una que viene integrada con el notebook (lenovo 3000 v200). En consola me dice que es la:
Bus 002 Device 002: ID 0402:5602 ALi Corp. Video Camera Controller

Disculpa mi ineptitud, pero soy nuevo en linux. Y no quiero cambiarme, a pesar de los problemas.

Saludos y muchas gracias por responder!

kaeltas dijo...

Hola Sir Monkey!

wxcam tiene muchas opciones de configuración, si estas teniendo problemas con la aplicación puede ser porque el programa no ofrece un buen soporte para tu camara web.

Lo que te recomiendo hacer es que trates de compilar el programa para ver si te da mejores resultados.

También puedes consultar en internet, lo mas seguro es que hay mas personas con problemas parecidos y que tengan una solución.

Yo te recomiendo que pruebes con varias opciones de configuración, si tienes problemas para cambiar opciones puedes probar utilizando la aplicación como root

saludos!!!

Anónimo dijo...

me fue mal ya que tengo ubuntu 9,04 y cuando trate de instalar wxcam me menciona primero error: la dependencia no se puede satisfacer: libmjpegtools0c2a (> = 1:1.8.0) luego trate de instalar el paquete limbpegtools me marca error en la arquitectura incorrecta "hppa"
que mas puedo hacer soy un novatooo.

Mario Spina dijo...

hola amigos
me pasa algo pareceido con wxCam en 9.04, pero el chesse anduvo de maravillas!!!
gracias
mario

Trece dijo...

wxcam no está en los repos oficiales, pero sí en los de getdeb. Para todos los que han tenido problemas de dependencias tratando de instalar wxcam en Ubuntu Jaunty 9.04, sugiero que instalen el paquete compilado en getdeb desde acá http://www.getdeb.net/app/wxCam

También pueden agregar los repositorios de getdeb.

Marco Castilo! dijo...

Muchas gracias @Trece
lo baje desde ahi y ahora lo pude instalar
un saludo tambien al Admon de este blog
muy bueno por cierto!

Hasta la Proxima!

meli dijo...

tengo una colorsit cs-510 y ha sido imposible hacerla funcionar, esta de adorno y a punto de ser estrellada, gracia por tu ayuda

kaeltas dijo...

que mala noticia amigo, lamentablemente el software aun no soporta todo tipo de camaras, te invito a que antes de darte por vencido intentes cambiar la configuracion, igual y la hechas a andar, saludos!

El tío Modes dijo...

Buenas,
También en mi ubuntu 9,04 me aparecía el error de la dependencia libmjpegtools0c2a (> = 1:1.8.0).

He bajado el paquete compilado que indica Trece en getdeb http://www.getdeb.net/app/wxCam y funciona perfecto.

Gracias!

ivan dijo...

muchas gracias amigo, me funciono perfectamente, la apliacacion Chesse para laptops hp dv5-1159se

Markos GiVe dijo...

Hola,
He seguido las instrucciones y he conseguido instalar Cheese y wxCam correctamente, pero no me detecta la cámara, una CLLCHATCAM 3.0 de CONCEPTRONIC.
Uso Ubuntu 9.04 y no consigo que me detecte la cámara ni encuentro cómo hacerlo por más que he buscado en los foros.
Estoy pensando en cambiar de cámara, ¿me podríais decir de una que vaya bien?
Gracias.

Anónimo dijo...

El tutorial lo he encontrado en ontro blog, que por cierto, no había peusto referencia a donde había sacado la entrada. Así que como me ha servido para que Skype me reconozca la cámara por fin (ha tenido que ser en Linux-Mint, porque en Ubuntu no tiraba) querái agradecertelo.

zwitter_234 dijo...

Si tambien tuve el problema con lo de "la dependencia no se puede satisfacer" pero con Cheese de maravilla.
Gracias!!

Dario Saez dijo...

Gracias..!!! me funciono correctamente en una Acer Aspire 5551 con webcam integrada Ali con ubuntu 10.04..